package com.example.sjkbf.common;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Data
public class FileManage {

    @Value("${pro.configfile}")
    private String configfile;

    @Value("${pro.userfile}")
    private String file;


    @Value("${pro.filemap}")
    private String filemap;

    @Value("${pro.scriptfile}")
    private String scriptfile;

    @Value("${pro.dps}")
    private String dpsfile;

    private String dpsScriptfile;


    public void init(){

        String os = System.getProperty("os.name").toLowerCase();
        if (os.contains("win")) {
            dpsScriptfile = file +"dpsScript\\";
        }else {
            dpsScriptfile = file +"dpsScript/";
        }

    }

}
